Subject: Re: Data error (cyclic redundancy check)
From: "Cliff Hones" <[email-masked]>
To: "Kevin Van Workum" <[email-masked]>, <[email-masked]>
Date: Tue, 21 Oct 2003 15:58:27 +0100

Kevin Van Workum wrote:
> I've been having some mysterious problems when trying to delete some 
> files in my cygwin home directory. It might not be a cygwin problem at 
> all, maybe hardware. But I thought I'd start here since the problem is 
> isolated to my cygwin directory.
> 
> It takes about 10-20 seconds for "ls" to print the file list. From a DOS 
> prompt "dir" prints the same list, hangs for 5 seconds and says "File 
> not found". If I try to "del" a file from the DOS prompt, I get an 
> error: "Data error (cyclic redundancy check)". It seems to only happen 
> when deleting .* files.
> 
> Any ideas? Might this be a hardware problem or related to cygwin?

Sounds most likely to be hardware to me, and that should most certainly
be ruled out first anyway.  Assuming this is a local hard disk, you should
run scandisk on it (right-click the drive; select properties, then error-checking
under tools).  Since you may have a data error anywhere on the disk you should
select "scan for bad sectors" [These are NT instructions; 9x/2k/XP may be
subtly different.]

In all probability this is OT for Cygwin.

-- Cliff

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/